Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456119 - Fork gnome-vfs2 to remove gnome-mount dependency
Summary: Fork gnome-vfs2 to remove gnome-mount dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FedoraOLPCDelta
TreeView+ depends on / blocked
 
Reported: 2008-07-21 16:25 UTC by Daniel Drake
Modified: 2008-09-17 16:23 UTC (History)
1 user (show)

Fixed In Version: 2.22.0-2.olpc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-28 13:28:03 UTC
kevin: fedora-cvs+


Attachments (Terms of Use)
spec file changes (deleted)
2008-07-21 16:25 UTC, Daniel Drake
no flags Details | Diff

Description Daniel Drake 2008-07-21 16:25:46 UTC
We should fork gnome-vfs2 like we did for OLPC-2 to remove the gnome-mount
dependency. The library copes fine at runtime if it can't mount something, and
we don't use that functionality on the XO.

This removes a load of dependencies from the build. I've tested it in my
public_rpms with no adverse side effects seen so far.

Comment 1 Daniel Drake 2008-07-21 16:25:46 UTC
Created attachment 312279 [details]
spec file changes

Comment 2 Daniel Drake 2008-07-24 22:13:46 UTC
Package Change Request
======================
Package Name: gnome-vfs2
New Branches: OLPC-3

Please create an OLPC-3 branch based off the F-9 one, with cvsextras group
commit access.

We need this branch to cut gnome-mount out of the build and avoid an evil
dependency chain. We did the same thing in OLPC-2.

Comment 3 Kevin Fenzi 2008-07-25 16:43:07 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.